Announcement

Collapse
No announcement yet.

Error on Upgrade

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Error on Upgrade

    Hello i want to upgrade from 4.2.2 to 5.1.6 but i get a fatal error! What is the problem in this point?

    Unexpected Text:

    <?xml version="1.0" encoding="windows-1252"?> <upgrade> </upgrade> <fatal_error> <description><![CDATA[<b>API Error</b><br><b>Error:</b> invalid_data_requested<br> occurred in vbulletin5/core/vb/library/content.php in line 2171]]></description> </fatal_error>

  • #2
    The error says that whatever node it was looking for didn't exist for some reason. This could be a channel/forum or a post.

    What upgrade version where you on?

    What step where you on?

    What version of PHP and MYSQL are you using?
    Translations provided by Google.

    Wayne Luke
    The Rabid Badger - a vBulletin Cloud customization and demonstration site.
    vBulletin 5 Documentation - Updated every Friday. Report issues here.
    vBulletin 5 API - Full / Mobile
    I am not currently available for vB Messenger Chats.

    Comment


    • #3
      Im in version 4.2.2 to 5.1.6 this error was on first version of vb 5

      I get this error in first step

      I use PHP Version 5.3 MySQL version 5.5

      Thank You

      Comment


      • #4
        Originally posted by NIKU-DR View Post
        Im in version 4.2.2 to 5.1.6 this error was on first version of vb 5
        There are dozens of upgrade scripts.

        I get this error in first step
        The first step of an upgrade is connecting to the database. The tables being referenced don't exist at that time. The node tables aren't updated until step 140 or so.

        I use PHP Version 5.3 MySQL version 5.5
        Minimum support version for 5.1.6 is PHP 5.4.0. The minimum version that you can squeak by with is PHP 5.3.7. PHP 5.3 is too low and should be upgraded.

        After upgrading PHP, please restore your vBulletin 4.2.2. Database backup and start the upgrade again. Click on the details button. If the upgrade fails again, please note what step it is on.
        Translations provided by Google.

        Wayne Luke
        The Rabid Badger - a vBulletin Cloud customization and demonstration site.
        vBulletin 5 Documentation - Updated every Friday. Report issues here.
        vBulletin 5 API - Full / Mobile
        I am not currently available for vB Messenger Chats.

        Comment


        • #5
          Thank you... I have update PHP version, files and database the process is started but i have waiting for 2 hour this process:
          Status: Processing 5.0.0 Alpha 1, Step 142 of 166
          • Step 142 - Importing forum records
          • Processing 200 records

          I want to now how many time need this process to waiting or what i have wrong ?

          Comment


          • #6
            It would be different for every site. I would say it shouldn't take two hours to process... Steps 145 and 146 may take much longer than that though. How many forums do you have?

            Should press refresh on your browser (usually F5) and reload the system. Your MySQL may have timed out if it has its wait_timeout value too low.
            Translations provided by Google.

            Wayne Luke
            The Rabid Badger - a vBulletin Cloud customization and demonstration site.
            vBulletin 5 Documentation - Updated every Friday. Report issues here.
            vBulletin 5 API - Full / Mobile
            I am not currently available for vB Messenger Chats.

            Comment


            • #7
              Thank you i have do the upgrade from ssh i get more errors from hosting because is limited. i use this command to do upgrade

              /web/cgi-bin/php5 -f upgrade.php
              /web/cgi-bin/php5_3 -f upgrade.php

              Comment


              • #8
                I'm still trying to sort out the upgrade however, I stalled out at that step, too. What worked for me to get past that was to open up the /core/includes/config.php file and make sure my superadmin permissions were right as "user 1" isn't being used.

                Also, I had to check my owner/group settings on my newly formed directories to make sure they weren't set to "nobody".

                I hope that helps.

                Comment


                • #9
                  You'll need to open a support ticket... http://www.vbulletin.com/go/techsupport

                  There isn't enough information provided here to provide a solution to your issue. Yes, one of the issues is that the upgrader requires the lowest userid that is an Administrator to be a super administrator and they have to have permissions to access all channels at all times.
                  Translations provided by Google.

                  Wayne Luke
                  The Rabid Badger - a vBulletin Cloud customization and demonstration site.
                  vBulletin 5 Documentation - Updated every Friday. Report issues here.
                  vBulletin 5 API - Full / Mobile
                  I am not currently available for vB Messenger Chats.

                  Comment

                  Related Topics

                  Collapse

                  Working...
                  X